Maker e postgres 9



  • Por favor Saeger ou amigos do Maker me de uma forca na integracao do Maker com postgres 9 encoding UTF8...
    Voce pode me dizer se tem como funcionar corretamente ou não, somente funciona com latin 1?


  • Funciona.


  • Voce poderia me ajudar como eu posso fazer para funcionar?
    Eu coloquei o acontecido nos posts abaixo, até comentei com um amigo do suporte da softwell, comentei que o problema se deu no componente de lista dinamica quando vou pesquisar algo, da um erro de conversao de ascII. Adicionarei a imagem. Outro problema se da quando no webrun nao conecta com o banco de dados nem para os projetos de exemplos do proprio maker.... voce poderia me ajudar, pois temos vários programas funcionando corretamente na versao do postgres 8.1 com latin 1... e precisamos migrar para a versao 9 com utf8, meu amigo ajuda a gente.....
    [409_erro_ao_pesquisar_na_lista_dinamica.jpg](/assets/uploads/files/409_erro_ao_pesquisar_na_lista_dinamica.jpg)


  • Teste colocar o parametro "charset" com valor utf-8 no apontador (wfre)
    Voce faz isso na tela de configuracoes do maker ou do webrun.
    Reinicie o webrun e teste.
    N estou em um computador mas tenho certeza que voce vai conseguir


  • Saeger foi a primeira coisa que eu ja foi colocar o parametro charset para UTF8, e nada....
    Até baixei o webrun utf8 para ver se funcionava e não conecta no banco de dados ficando desabilitando o campo não permitindo digitação do caminho do banco...
    Me ajude Saeger já estou com quase um mês nessa batalha, os sistemas estão funcionando no Latin 1 mas o problema é que as funcões depois que eu atualizei o maker de 2.6 para 2.7 não são mostradas os seus nomes e os fluxos servidores estão dando erro quando selecionados, Por esses motivos estamos querendo realizar os projetos novos com o postgres 9 utf8 e depois migrar os antigos.... mas não consigo nem lincar o banco na webrun....Me ajude por favor e agradeço seu empenho desde já....


  • Faça o seguinte
    Crie um novo projeto apontando pra uma base nova e veja se funciona.


  • Exatmente o que estou tentando, criando um novo projeto e linkando para um banco já criado no postgres 9 com Utf8. Eu deveria conseguir conectar na webrun com o banco já criado né?
    Teria algum telefone que eu poderia estar entrando em contato com voce?
    Para mencionar exatamente o que estou enfrentando de problema.
    muito obrigado pela atenção até então..............


  • Não dou suporte por telefone.
    Vou configurar um ambiente com o PG9 e UTF8 e retorno com informações.


  • Naum tem nem msn ou facebook? Chat?
    Mas muito obrigado por dizer em tentar configurar um ambiente com o que preciso


  • Caro,

    Baixei o PostgreSQL 9.0.8-1 (Última versão disponível no momento que estou escrevendo), instalei em uma máquina virtual (No momento da instalação, ele pergunta o Locale da base, eu deixei selecionado o [DEFAULT LOCALE]), criei uma base pelo pgAdmin3 chamada "teste".
    Depois abri o maker e mandei conectar nesta base. Inicializei o sistema, importei as funções. Criei um formulário vazio e coloquei uma lista dinâmica que faz um select * from fr_acao. Coloquei o formulário no menu, salvei. Iniciei o webrun, acessei e filtrei tudo sem problemas.
    O problema aparentemente não está na ferramenta. Você deve estar fazendo algo que está ocasionando o erro.

    Aproveito e peço para que você de uma revisada nesta documentação: http://wiki.softwell.com.br/PostgreSQL_8

    T+
    [2_utf81.png](/assets/uploads/files/2_utf81.png)
    [2_utf82.png](/assets/uploads/files/2_utf82.png)
    [2_utf83.png](/assets/uploads/files/2_utf83.png)


  • mas vc testou com uma tabela do Maker, naum teria como vc testar com uma tabela criada no pgadim por exemplo tabela estado....
    Agradeço o empenho e aguardo posicao....


  • .........
    Não faz sentido isso.

    Cole ai o DDL da sua tabela...
    Pode ser que vocÊ esteja usando um tipo de dado que talvez não seja compatível..


  • Minha versão é postgres 9.1-1. Vou anexar o instalador aqui...
    Por favor vc poderia testar criando uma tabela no pgadmin ex: estado e linkar na lista dinamica.

    segue o DDl:

    CREATE TABLE estado (
    id integer NOT NULL,
    nome character varying(100),
    sigla character varying(2)
    );


  • Opa,

    Você não havia falado PostgreSQL 9.1. O que eu instalei foi 9.0.X
    Criei a tabela, fiz o formulário baseado na tabela e está tudo funcionando perfeitamente no Webrun.
    Agora não sei o 9.1, visto que não instalei aqui...

    Qual a sua versão do Maker? Se for a 2.7.0.0, provavelmente não irá funcionar com o PostgreSQL 9.1. Somente versões mais novas, que não foi liberado ainda para os clientes.


  • Eu uso Maker 2.7.
    Agradeço as informações, vc poderia me passar a versão exata do postgres 9 pois eu havia instalado uma aqui e ela não deixava eu fazer backup do banco....


  • PS: Funcionou também do mesmo jeito usando o PostgreSQL 9.1

    Provavelmente você está fazendo algo errado.

    Entretanto, o postgresql 9.1 não é homologado pela Softwell, portanto, não recomendo que você o use. :)

    T+ e boa sorte.


  • Muito Obrigado irei realizar o teste com o postgres 9 beleza manterei atualizado o contato.....


  • Meu amigo Saeger deu certo esta funcionando corretamente o omponente e está linkando o banco postgres com UTF8 corretamente, admiro o Maker e estou muito agradecido com o Suporte que é maravilhoso.....muito obrigado mesmo!!!!!


  • Aê!! Que bom!

    Bom desenvolvimento!

Log in to reply